org.optaplanner.core.api.score.stream

## Class Joiners

- java.lang.Object
- - org.optaplanner.core.api.score.stream.Joiners

-     public final class Joiners
      extends Object

  Creates an `BiJoiner`, `TriJoiner`, ... instance for use in `UniConstraintStream.join(Class, BiJoiner)`, ...

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A,B,Property_> BiJoiner<A,B>` | `containing(Function<A,? extends Collection<Property_>> leftMapping, Function<B,Property_> rightMapping)`
    `static <A,Property_> BiJoiner<A,A>` | `disjoint(Function<A,? extends Collection<Property_>> mapping)`
    `static <A,B,Property_> BiJoiner<A,B>` | `disjoint(Function<A,? extends Collection<Property_>> leftMapping, Function<B,? extends Collection<Property_>> rightMapping)`
    `static <A,B,C,Property_> TriJoiner<A,B,C>` | `equal(BiFunction<A,B,Property_> leftMapping, Function<C,Property_> rightMapping)`
    `static <A,Property_> BiJoiner<A,A>` | `equal(Function<A,Property_> mapping)`
    `static <A,B,Property_> BiJoiner<A,B>` | `equal(Function<A,Property_> leftMapping, Function<B,Property_> rightMapping)`
    `static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A>` | `greaterThan(Function<A,Property_> mapping)`
    `static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B>` | `greaterThan(Function<A,Property_> leftMapping, Function<B,Property_> rightMapping)`
    `static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A>` | `greaterThanOrEqual(Function<A,Property_> mapping)`
    `static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B>` | `greaterThanOrEqual(Function<A,Property_> leftMapping, Function<B,Property_> rightMapping)`
    `static <A,Property_> BiJoiner<A,A>` | `intersecting(Function<A,? extends Collection<Property_>> mapping)`
    `static <A,B,Property_> BiJoiner<A,B>` | `intersecting(Function<A,? extends Collection<Property_>> leftMapping, Function<B,? extends Collection<Property_>> rightMapping)`
    `static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A>` | `lessThan(Function<A,Property_> mapping)`
    `static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B>` | `lessThan(Function<A,Property_> leftMapping, Function<B,Property_> rightMapping)`
    `static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A>` | `lessThanOrEqual(Function<A,Property_> mapping)`
    `static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B>` | `lessThanOrEqual(Function<A,Property_> leftMapping, Function<B,Property_> rightMapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equal

          public static <A,Property_> BiJoiner<A,A> equal(Function<A,Property_> mapping)

    - #### equal

          public static <A,B,Property_> BiJoiner<A,B> equal(Function<A,Property_> leftMapping,
                                                            Function<B,Property_> rightMapping)

    - #### lessThan

          public static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A> lessThan(Function<A,Property_> mapping)

    - #### lessThan

          public static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B> lessThan(Function<A,Property_> leftMapping,
                                                                                             Function<B,Property_> rightMapping)

    - #### lessThanOrEqual

          public static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A> lessThanOrEqual(Function<A,Property_> mapping)

    - #### lessThanOrEqual

          public static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B> lessThanOrEqual(Function<A,Property_> leftMapping,
                                                                                                    Function<B,Property_> rightMapping)

    - #### greaterThan

          public static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A> greaterThan(Function<A,Property_> mapping)

    - #### greaterThan

          public static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B> greaterThan(Function<A,Property_> leftMapping,
                                                                                                Function<B,Property_> rightMapping)

    - #### greaterThanOrEqual

          public static <A,Property_ extends Comparable<Property_>> BiJoiner<A,A> greaterThanOrEqual(Function<A,Property_> mapping)

    - #### greaterThanOrEqual

          public static <A,B,Property_ extends Comparable<Property_>> BiJoiner<A,B> greaterThanOrEqual(Function<A,Property_> leftMapping,
                                                                                                       Function<B,Property_> rightMapping)

    - #### containing

          public static <A,B,Property_> BiJoiner<A,B> containing(Function<A,? extends Collection<Property_>> leftMapping,
                                                                 Function<B,Property_> rightMapping)

    - #### intersecting

          public static <A,Property_> BiJoiner<A,A> intersecting(Function<A,? extends Collection<Property_>> mapping)

    - #### intersecting

          public static <A,B,Property_> BiJoiner<A,B> intersecting(Function<A,? extends Collection<Property_>> leftMapping,
                                                                   Function<B,? extends Collection<Property_>> rightMapping)

    - #### disjoint

          public static <A,Property_> BiJoiner<A,A> disjoint(Function<A,? extends Collection<Property_>> mapping)

    - #### disjoint

          public static <A,B,Property_> BiJoiner<A,B> disjoint(Function<A,? extends Collection<Property_>> leftMapping,
                                                               Function<B,? extends Collection<Property_>> rightMapping)

    - #### equal

          public static <A,B,C,Property_> TriJoiner<A,B,C> equal(BiFunction<A,B,Property_> leftMapping,
                                                                 Function<C,Property_> rightMapping)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.